version: '3.6'
services:
  service:
    build:
      context: .
    ports:
      - "8000:8000"
    command: uvicorn main:app --host 0.0.0.0 --port 8000 --log-level info
    environment:
      - SQLITE_DB_PATH=/data/sqlite.db
      - BROKER_ADDRESS=10.255.28.137
      - BROKER_PORT=61613
      - BROKER_USERNAME=artemis
      - BROKER_PASSWORD=artemis
      - SERVICE_UUID=0726c0c2-9fc8-4593-b2e0-8740764ae365
    volumes:
      - sqlite_data:/data

volumes:
  sqlite_data:
    driver: local
